@webpage{Capstone,
    author = {{Ink \& Switch}},
    title = {Capstone, a tablet for thinking},
    month = dec,
    year = {2018},
    url = {https://www.inkandswitch.com/capstone-manuscript.html}
}

@webpage{Dossier,
    author = {Wiggins, Adam},
    title = {The iPad as a fast, precise tool for creativity},
    month = jun,
    year = {2018},
    url = {https://medium.com/@hirodusk/the-ipad-as-a-fast-precise-tool-for-creativity-21384ea18659}
}

@webpage{ThereIsNoCloud,
    author = {Watterston, Chris},
    title = {My `There Is No Cloud' Sticker},
    month = feb,
    year = {2016},
    url = {http://www.chriswatterston.com/blog/my-there-is-no-cloud-sticker}
}

@webpage{DanLuu,
    author = {Luu, Dan},
    title = {Computer latency: 1977--2017},
    month = dec,
    year = {2017},
    url = {https://danluu.com/input-lag/}
}

@webpage{SlowSoftware,
    author = {McGranaghan, Mark},
    title = {Slow Software},
    month = nov,
    year = {2018},
    url = {https://www.inkandswitch.com/slow-software.html}
}

@webpage{OptimisticUI,
    author = {Mandrigin, Igor},
    title = {Optimistic {UIs} in under 1000 words},
    month = dec,
    year = {2016},
    url = {https://uxplanet.org/optimistic-1000-34d9eefe4c05}
}

@inproceedings{BailisHAT,
    author = {Bailis, Peter and Davidson, Aaron and Fekete, Alan and Ghodsi, Ali and Hellerstein, Joseph M and Stoica, Ion},
    title = {Highly Available Transactions: Virtues and Limitations},
    booktitle = {40th International Conference on Very Large Data Bases (VLDB)},
    year = {2014},
    month = sep,
    url = {http://arxiv.org/pdf/1302.0309.pdf},
}

@webpage{OfflineFirst,
    author = {Feyerke, Alex},
    title = {Say hello to {Offline First}},
    month = nov,
    year = {2013},
    url = {http://hood.ie/blog/say-hello-to-offline-first.html}
}

@webpage{ServiceWorkerOffline,
    author = {Kinlan, Paul},
    title = {Adding a Service Worker and Offline into your Web App},
    month = jan,
    year = {2019},
    url = {https://developers.google.com/web/fundamentals/codelabs/offline/}
}

@webpage{DropboxConflict,
    author = {{Dropbox, Inc.}},
    title = {What's a conflicted copy?},
    url = {https://help.dropbox.com/syncing-uploads/conflicted-copy}
}

@webpage{EvernoteConflict,
    author = {{JMichaelTX}},
    title = {How do I resolve Sync Conflicts?},
    month = jun,
    year = {2015},
    url = {https://discussion.evernote.com/topic/86113-how-do-i-resolve-sync-conflicts/}
}

@book{ProGit,
    author = {Chacon, Scott and Straub, Ben},
    title = {Pro Git},
    edition = {2nd},
    month = nov,
    year = {2014},
    url = {https://git-scm.com/book/en/v2}
}

@webpage{DiffMerge,
    author = {{SourceGear, LLC.}},
    title = {DiffMerge},
    url = {https://www.sourcegear.com/diffmerge/}
}

@webpage{GoogleDocsSuggest,
    author = {{Google}},
    title = {Suggest edits in {Google Docs}},
    url = {https://support.google.com/docs/answer/6033474}
}

@webpage{PullRequests,
    author = {{GitHub, Inc.}},
    title = {About pull requests},
    url = {https://help.github.com/en/articles/about-pull-requests}
}

@webpage{SoftwareLibrary,
    author = {{Internet Archive}},
    title = {Software Library},
    url = {https://archive.org/details/softwarelibrary}
}

@webpage{AmigaBoard,
    title = {{English Amiga Board}},
    url = {http://eab.abime.net/}
}

@webpage{KilledByGoogle,
    author = {Ogden, Cody},
    title = {Killed by {Google}},
    year = {2019},
    url = {https://killedbygoogle.com}
}

@webpage{MyspaceSongs,
    author = {O'Connor, Roisin},
    title = {Myspace loses `over 50 million songs' from website after server migration project goes wrong},
    month = mar,
    year = {2019},
    url = {https://www.independent.co.uk/arts-entertainment/music/news/myspace-songs-lost-website-move-migration-mp3-music-server-accounts-a8827881.html}
}

@webpage{IncredibleJourney,
    author = {Gyford, Phil},
    title = {{Our Incredible Journey}},
    url = {https://ourincrediblejourney.tumblr.com/}
}

@webpage{DigitalDarkAge,
    author = {Ghosh, Pallab},
    title = {{Google's Vint Cerf} warns of 'digital {Dark Age}'},
    month = feb,
    year = {2015},
    url = {https://www.bbc.co.uk/news/science-environment-31450389}
}

@webpage{SQLiteFormat,
    author = {{SQLite}},
    title = {{LoC} Recommended Storage Format},
    month = may,
    year = {2018},
    url = {https://www.sqlite.org/locrsf.html}
}

@webpage{CapstoneArchiving,
    author = {{Ink \& Switch}},
    title = {Capstone appendix {C}: Web page archiving},
    month = dec,
    year = {2018},
    url = {https://www.inkandswitch.com/capstone-manuscript-appendices.html#c-web-page-archiving}
}

@inproceedings{NguyenCuneiform,
    author = {Nguyen, Long Tien and Kay, Alan},
    title = {The {Cuneiform Tablets} of 2015},
    booktitle = {ACM International Symposium on New Ideas, New Paradigms, and Reflections on Programming and Software (Onward!)},
    year = {2015},
    pages = {297--307},
    month = oct,
    doi = {10.1145/2814228.2814250},
    url = {http://www.vpri.org/pdf/tr2015004_cuneiform.pdf}
}

@webpage{WikimediaCuneiform,
    title = {File:Early writing tablet recording the allocation of beer.jpg},
    url = {https://commons.wikimedia.org/wiki/File:Early_writing_tablet_recording_the_allocation_of_beer.jpg}
}

@webpage{SnapchatAbuse,
    author = {Cox, Joseph},
    title = {{Snapchat} Employees Abused Data Access to Spy on Users},
    year = {2019},
    month = may,
    url = {https://www.vice.com/en_us/article/xwnva7/snapchat-employees-abused-data-access-spy-on-users-snaplion}
}

@webpage{AlexaWorkers,
    author = {Day, Matt and Turner, Giles and Drozdiak, Natalia},
    title = {{Amazon} Workers Are Listening to What You Tell {Alexa}},
    year = {2019},
    month = apr,
    url = {https://www.bloomberg.com/news/articles/2019-04-10/is-anyone-listening-to-you-on-alexa-a-global-team-reviews-audio}
}

@webpage{DataBreaches,
    author = {{Wikipedia}},
    title = {List of data breaches},
    url = {https://en.wikipedia.org/wiki/List_of_data_breaches}
}

@webpage{GoogleDriveToS,
    author = {{Google LLC}},
    title = {{Google Drive Terms of Service}},
    month = jan,
    year = {2019},
    url = {https://www.google.com/drive/terms-of-service/}
}

@inproceedings{GarmanIMessage,
    author = {Garman, Christina and Green, Matthew and Kaptchuk, Gabriel and Miers, Ian and Rushanan, Michael},
    title = {Dancing on the Lip of the Volcano: Chosen Ciphertext Attacks on {Apple iMessage}},
    booktitle = {25th USENIX Security Symposium},
    year = {2016},
    month = aug,
    url = {https://www.usenix.org/conference/usenixsecurity16/technical-sessions/presentation/garman}
}

@webpage{WhatsAppSecurity,
    author = {{WhatsApp Inc.}},
    title = {{WhatsApp} Encryption Overview},
    month = dec,
    year = {2017},
    url = {https://www.whatsapp.com/security/WhatsApp-Security-Whitepaper.pdf}
}

@webpage{SignalDocs,
    author = {{Signal Messenger}},
    title = {Technical Information},
    url = {https://www.signal.org/docs/}
}

@webpage{Keybase,
    author = {{Keybase, Inc.}},
    title = {Keybase},
    url = {https://keybase.io}
}

@webpage{Tarsnap,
    author = {{Tarsnap Backup Inc.}},
    title = {Tarsnap cryptography},
    url = {https://www.tarsnap.com/crypto.html}
}

@webpage{GoogleDocsLockout,
    author = {Fung, Brian},
    title = {A mysterious message is locking {Google Docs} users out of their files},
    month = oct,
    year = {2017},
    url = {https://www.washingtonpost.com/news/the-switch/wp/2017/10/31/a-mysterious-message-is-locking-google-docs-users-out-of-their-files/}
}

@webpage{ECHR,
    author = {{Council of Europe}},
    title = {{European Convention on Human Rights}},
    month = jun,
    year = {2010},
    url = {https://www.echr.coe.int/Documents/Convention_ENG.pdf}
}

@webpage{ECHRArticle9,
    author = {{Council of Europe}},
    title = {Guide on {Article} 9 of the {European Convention on Human Rights}},
    month = dec,
    year = {2018},
    url = {https://www.echr.coe.int/Documents/Guide_Art_9_ENG.pdf}
}

@webpage{IPBillUN,
    author = {{UN Special Rapporteur on the promotion and protection of the right to freedom of opinion and expression}},
    title = {Submission to the Joint Committee of the draft Investigatory Powers Bill},
    month = dec,
    year = {2015},
    url = {http://data.parliament.uk/writtenevidence/committeeevidence.svc/evidencedocument/draft-investigatory-powers-bill-committee/draft-investigatory-powers-bill/written/26353.pdf}
}

@webpage{Office356Earnings,
    author = {Vanian, Jonathan},
    title = {{Microsoft Office} 365 Just Hit a Big Milestone},
    month = jul,
    year = {2017},
    url = {http://fortune.com/2017/07/20/microsoft-office-365-earnings/}
}

@webpage{DistributedTeams,
    author = {Rastogi, Anupam},
    title = {Are Distributed Teams the new Cloud for startups?},
    month = dec,
    year = {2018},
    url = {https://medium.com/@anupamr/distributed-teams-are-the-new-cloud-for-startups-14240a9822d7}
}

@webpage{GoogleDocsOffline,
    author = {{Google}},
    title = {{Google Docs Offline}},
    url = {https://chrome.google.com/webstore/detail/google-docs-offline/ghbmnnjooekpmoecnnnilnnbdlolhkhi}
}

@webpage{Figma,
    author = {{Figma, Inc.}},
    title = {Figma},
    url = {https://www.figma.com}
}

@webpage{Dropbox,
    author = {{Dropbox, Inc.}},
    title = {{Dropbox}},
    url = {https://www.dropbox.com/}
}

@webpage{GoogleDrive,
    author = {{Google LLC}},
    title = {{Google Drive}},
    url = {https://www.google.com/drive/}
}

@webpage{Box,
    author = {{Box, Inc.}},
    title = {{Box}},
    url = {https://www.box.com/}
}

@webpage{OneDrive,
    author = {{Microsoft}},
    title = {{OneDrive}},
    url = {https://onedrive.live.com/}
}

@webpage{DropboxOffline,
    author = {{Dropbox, Inc.}},
    title = {How can I access my files offline?},
    url = {https://help.dropbox.com/mobile/access-files-offline}
}

@webpage{DropboxAPI,
    author = {{Dropbox, Inc.}},
    title = {{DBX Platform}},
    url = {https://www.dropbox.com/developers}
}

@webpage{DropboxPaper,
    author = {{Dropbox, Inc.}},
    title = {Guide to {Dropbox Paper}},
    url = {https://www.dropbox.com/paper/guide}
}

@webpage{EmailDrivenGit,
    author = {DeVault, Drew},
    title = {The advantages of an email-driven git workflow},
    month = jul,
    year = {2018},
    url = {https://drewdevault.com/2018/07/02/Email-driven-git.html}
}

@webpage{WorkingCopy,
    author = {Borum, Anders},
    title = {{Working Copy}},
    url = {https://workingcopyapp.com}
}

@webpage{GitHubImages,
    author = {McEfee, Cameron},
    title = {Behold: Image view modes},
    month = mar,
    year = {2011},
    url = {https://github.blog/2011-03-21-behold-image-view-modes/}
}

@webpage{GitHubProse,
    author = {Braithwaite, Reg},
    title = {Rendered Prose Diffs},
    month = feb,
    year = {2014},
    url = {https://github.blog/2014-02-14-rendered-prose-diffs/}
}

@webpage{GitHub3D,
    author = {Skalnik, Mike},
    title = {{3D} File Diffs},
    month = sep,
    year = {2013},
    url = {https://github.blog/2013-09-17-3d-file-diffs/}
}

@webpage{Cloud9,
    author = {{Amazon Web Services, Inc.}},
    title = {{AWS Cloud9}},
    url = {https://aws.amazon.com/cloud9/}
}

@webpage{ReplIt,
    author = {{Neoreason, Inc.}},
    title = {{Repl.it}},
    url = {https://repl.it}
}

@webpage{Colaboratory,
    author = {{Google}},
    title = {{Colaboratory}},
    url = {https://colab.research.google.com}
}

@webpage{Meteor,
    author = {{Meteor Development Group Inc.}},
    title = {Meteor},
    url = {https://www.meteor.com}
}

@webpage{ShareDB,
    author = {Smith, Nate and Gentle, Joseph},
    title = {{ShareDB}},
    url = {https://github.com/share/sharedb}
}

@webpage{WebSocket,
    author = {{Mozilla Developer Network}},
    title = {{The WebSocket API (WebSockets)}},
    url = {https://developer.mozilla.org/en-US/docs/Web/API/WebSockets_API}
}

@webpage{AppCache,
    author = {{Mozilla Developer Network}},
    title = {Using the application cache},
    url = {https://developer.mozilla.org/en-US/docs/Web/HTML/Using_the_application_cache}
}

@webpage{LocalStorage,
    author = {{Mozilla Developer Network}},
    title = {{Window.localStorage}},
    url = {https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage}
}

@webpage{ServiceWorkers,
    author = {Gaunt, Matt},
    title = {Service Workers: an Introduction},
    month = feb,
    year = {2019},
    url = {https://developers.google.com/web/fundamentals/primers/service-workers/}
}

@webpage{PWAs,
    author = {{Google}},
    title = {{Progressive Web Apps}},
    url = {https://developers.google.com/web/progressive-web-apps/}
}

@webpage{LocalStorageCleared,
    author = {{Stack Overflow}},
    title = {When is {localStorage} cleared?},
    url = {https://stackoverflow.com/questions/8537112/when-is-localstorage-cleared}
}

@webpage{GuardianOffline,
    author = {Ash, Oliver Joseph},
    title = {Building an offline page for theguardian.com},
    month = nov,
    year = {2015},
    url = {https://www.theguardian.com/info/developer-blog/2015/nov/04/building-an-offline-page-for-theguardiancom}
}

@webpage{RosenzweigFederation,
    author = {Rosenzweig, Alyssa},
    title = {The Federation Fallacy},
    month = mar,
    year = {2019},
    url = {https://rosenzweig.io/blog/the-federation-fallacy.html}
}

@webpage{Electron,
    title = {Electron: Build cross platform desktop apps with {JavaScript}, {HTML}, and {CSS}},
    url = {https://electronjs.org}
}

@webpage{React,
    author = {{Facebook, Inc.}},
    title = {{React}},
    url = {https://reactjs.org}
}

@webpage{Cordova,
    author = {{Apache Software Foundation}},
    title = {{Apache Cordova}},
    url = {https://cordova.apache.org}
}

@webpage{SQLite,
    title = {{SQLite}},
    url = {https://sqlite.org/}
}

@webpage{CoreData,
    author = {{Apple, Inc.}},
    title = {{Core Data}},
    url = {https://developer.apple.com/documentation/coredata}
}

@webpage{Clue,
    title = {{Clue}},
    url = {https://helloclue.com}
}

@webpage{Things,
    author = {{Cultured Code GmbH \& Co. KG}},
    title = {{Things}},
    url = {https://culturedcode.com/things/}
}

@webpage{Firebase,
    author = {{Google}},
    title = {Firebase},
    url = {https://firebase.google.com}
}

@webpage{FirebaseOffline,
    author = {{Google}},
    title = {{Firebase Documentation: Enable offline data}},
    url = {https://firebase.google.com/docs/firestore/manage-data/enable-offline}
}

@webpage{Parse,
    title = {Parse},
    url = {https://parseplatform.org}
}

@webpage{ParseShutdown,
    author = {Carter, Andrew and Prichard, Michael J.},
    title = {{Parse} Shutdown: What It Means and What You Can Do},
    month = feb,
    year = {2016},
    url = {https://willowtreeapps.com/ideas/parse-shutdown-what-it-means-and-what-you-can-do}
}

@webpage{CloudKit,
    author = {{Apple, Inc.}},
    title = {{CloudKit}},
    url = {https://developer.apple.com/icloud/cloudkit/}
}

@webpage{Ulysses,
    author = {{Ulysses GmbH \& Co. KG}},
    title = {Ulysses},
    url = {https://ulysses.app}
}

@webpage{Bear,
    author = {{Shiny Frog}},
    title = {Bear},
    url = {https://bear.app}
}

@webpage{Overcast,
    author = {{Overcast Radio, LLC}},
    title = {Overcast},
    url = {https://overcast.fm}
}

@webpage{DocumentBasedApps,
    author = {{Apple, Inc.}},
    title = {Document Based Apps},
    url = {https://developer.apple.com/document-based-apps/}
}

@webpage{iCloudDocuments,
    author = {{Apple, Inc.}},
    title = {Designing for Documents in {iCloud}},
    month = dec,
    year = {2015},
    url = {https://developer.apple.com/library/archive/documentation/General/Conceptual/iCloudDesignGuide/Chapters/DesigningForDocumentsIniCloud.html}
}

@webpage{Realm,
    author = {{Tightdb, Inc.}},
    title = {Realm},
    url = {https://realm.io}
}

@webpage{RealmPlatform,
    author = {{Tightdb, Inc.}},
    title = {What is {Realm Platform}?},
    url = {https://docs.realm.io/sync/what-is-realm-platform}
}

@webpage{RealmObjectServer,
    author = {{Tightdb, Inc.}},
    title = {Getting a {Realm Object Server} Instance},
    url = {https://docs.realm.io/sync/getting-started-1/getting-a-realm-object-server-instance}
}

@webpage{CouchDB,
    author = {{Apache Software Foundation}},
    title = {{Apache CouchDB}},
    url = {https://couchdb.apache.org}
}

@webpage{Cloudant,
    author = {{IBM}},
    title = {Cloudant},
    url = {https://www.ibm.com/cloud/cloudant}
}

@webpage{PouchDB,
    title = {PouchDB},
    url = {https://pouchdb.com}
}

@webpage{Hoodie,
    title = {Hoodie},
    url = {http://hood.ie/}
}

@book{CouchDBGuide,
    author = {Anderson, J Chris and Lehnardt, Jan and Slater, Noah},
    title = {{CouchDB}: The Definitive Guide},
    publisher = {O'Reilly Media},
    year = {2010},
    month = jan,
    isbn = {978-0-596-15589-6},
    url = {http://guide.couchdb.org/}
}

@webpage{CouchDBAdoption,
    author = {Cox, Geoff},
    title = {{CouchDB}, {PouchDB} and {Hoodie} as a Stack for {Progressive Web Apps}},
    month = nov,
    year = {2017},
    url = {https://medium.com/offline-camp/couchdb-pouchdb-and-hoodie-as-a-stack-for-progressive-web-apps-a6078a985f18}
}

@webpage{InkAndSwitch,
    title = {Ink \& Switch},
    url = {https://www.inkandswitch.com}
}

@webpage{Dat,
    author = {{Dat Project}},
    title = {{dat:// -- a peer-to-peer protocol}},
    url = {https://datproject.org}
}

@inproceedings{ShapiroCRDTs,
    author = {Shapiro, Marc and Pregui{\c c}a, Nuno and Baquero, Carlos and Zawirski, Marek},
    title = {{Conflict-Free Replicated Data Types}},
    booktitle = {13th International Symposium on Stabilization, Safety, and Security of Distributed Systems (SSS)},
    year = {2011},
    pages = {386--400},
    month = oct,
    doi = {10.1007/978-3-642-24550-3_29}
}

@webpage{ShuklaCosmosDB,
    author = {Shukla, Dharma},
    title = {{Azure Cosmos DB}: Pushing the frontier of globally distributed databases},
    month = sep,
    year = {2018},
    url = {https://azure.microsoft.com/en-us/blog/azure-cosmos-db-pushing-the-frontier-of-globally-distributed-databases/}
}

@webpage{RedisCRDTs,
    author = {Biyikoglu, Cihan},
    title = {Under the Hood: {Redis CRDTs} ({Conflict-free Replicated Data Types})},
    month = sep,
    year = {2018},
    url = {http://lp.redislabs.com/rs/915-NFD-128/images/WP-RedisLabs-Redis-Conflict-free-Replicated-Data-Types.pdf}
}

@webpage{MeiklejohnRiak,
    author = {Meiklejohn, Christopher},
    title = {Applied Monotonicity: A Brief History of {CRDTs} in {Riak}},
    month = mar,
    year = {2019},
    url = {http://christophermeiklejohn.com/erlang/lasp/2019/03/08/monotonicity.html}
}

@inproceedings{WeaveMesh,
    author = {Bourgon, Peter and Radestock, Matthias},
    title = {Effortless Eventual Consistency with {Weave Mesh}},
    booktitle = {QCon London},
    month = mar,
    year = {2016},
    url = {https://www.infoq.com/presentations/weave-mesh}
}

@webpage{Roshi,
    author = {Bourgon, Peter},
    title = {{Roshi}: a {CRDT} system for timestamped events},
    month = may,
    year = {2014},
    url = {https://developers.soundcloud.com/blog/roshi-a-crdt-system-for-timestamped-events}
}

@webpage{OpenRKvStore,
    author = {{Facebook, Inc.}},
    title = {{OpenR} documentation: {KvStore} -- Store and Sync},
    month = nov,
    year = {2017},
    url = {https://github.com/facebook/openr/blob/master/openr/docs/KvStore.md}
}

@inproceedings{KleppmannCRDT,
    author = {Kleppmann, Martin},
    title = {{CRDTs} and the Quest for Distributed Consistency},
    booktitle = {QCon London},
    month = mar,
    year = {2018},
    url = {https://www.infoq.com/presentations/crdt-distributed-consistency}
}

@webpage{ArchagonCRDT,
    author = {Baboulevitch, Alexei},
    title = {Data Laced with History: Causal Trees \& Operational {CRDTs}},
    month = mar,
    year = {2018},
    url = {http://archagon.net/blog/2018/03/24/data-laced-with-history/}
}

@techreport{ShapiroSurvey,
    author = {Shapiro, Marc and Pregui{\c c}a, Nuno and Baquero, Carlos and Zawirski, Marek},
    title = {A comprehensive study of {Convergent} and {Commutative Replicated Data Types}},
    year = {2011},
    number = {7506},
    month = jan,
    institution = {INRIA},
    url = {http://hal.inria.fr/inria-00555588/}
}

@inproceedings{AttiyaTextEditing,
    author = {Attiya, Hagit and Burckhardt, Sebastian and Gotsman, Alexey and Morrison, Adam and Yang, Hongseok and Zawirski, Marek},
    title = {Specification and Complexity of Collaborative Text Editing},
    booktitle = {ACM Symposium on Principles of Distributed Computing (PODC)},
    year = {2016},
    pages = {259--268},
    month = jul,
    doi = {10.1145/2933057.2933090},
    url = {https://www.microsoft.com/en-us/research/wp-content/uploads/2016/07/podc16-complete.pdf}
}

@article{GomesCRDT,
    author = {Gomes, Victor B F and Kleppmann, Martin and Mulligan, Dominic P and Beresford, Alastair R},
    title = {Verifying strong eventual consistency in distributed systems},
    journal = {Proceedings of the ACM on Programming Languages (PACMPL)},
    year = {2017},
    volume = {1},
    number = {OOPSLA},
    month = oct,
    doi = {10.1145/3133933},
    url = {https://arxiv.org/abs/1707.01747}
}

@webpage{Automerge,
    title = {Automerge},
    url = {https://github.com/automerge/automerge}
}

@webpage{Hypermerge,
    title = {Hypermerge},
    url = {https://github.com/automerge/hypermerge}
}

@webpage{Trellis,
    author = {{Ink \& Switch}},
    title = {Trellis},
    url = {https://github.com/automerge/trellis#readme}
}

@webpage{Trello,
    author = {{Atlassian}},
    title = {Trello},
    url = {https://trello.com/}
}

@article{JSONCRDT,
    author = {Kleppmann, Martin and Beresford, Alastair R},
    title = {A Conflict-Free Replicated {JSON} Datatype},
    journal = {IEEE Transactions on Parallel and Distributed Systems (TPDS)},
    year = {2017},
    volume = {28},
    number = {10},
    pages = {2733--2746},
    month = apr,
    doi = {10.1109/TPDS.2017.2697382},
    url = {http://arxiv.org/abs/1608.03960}
}

@webpage{WebRTC,
    title = {{WebRTC}},
    url = {https://webrtc.org}
}

@webpage{TrellisVideo,
    author = {Wiggins, Adam},
    title = {Decentralized, offline-first, realtime collaboration with {Automerge}},
    month = nov,
    year = {2018},
    url = {https://www.youtube.com/watch?v=L9fdyDlhByM}
}

@webpage{TrellisReleases,
    author = {{Ink \& Switch}},
    title = {{Trellis} releases},
    url = {https://github.com/automerge/trellis/releases}
}

@webpage{PixelArtCSS,
    author = {Valencia, Javier},
    title = {{Pixel Art to CSS}},
    url = {https://www.pixelartcss.com}
}

@webpage{Hypercore,
    author = {Buus, Mathias},
    title = {Hypercore},
    url = {https://github.com/mafintosh/hypercore}
}

@webpage{HowDatWorks,
    author = {Keall, Duncan},
    title = {How {Dat} Works},
    month = jan,
    year = {2019},
    url = {https://datprotocol.github.io/how-dat-works/}
}

@webpage{Hyperswarm,
    author = {Frazee, Paul},
    title = {Announcing {Hyperswarm}},
    month = sep,
    year = {2018},
    url = {https://pfrazee.hashbase.io/blog/hyperswarm}
}

@webpage{DecentralizedWeb,
    author = {{Internet Archive}},
    title = {{Decentralized Web Summit}},
    url = {https://www.decentralizedweb.net}
}

@webpage{IPFS,
    author = {{Protocol Labs Inc.}},
    title = {{IPFS}},
    url = {https://ipfs.io}
}

@techreport{RFC5389,
    author = {Rosenberg, J and Mahy, R and Matthews, P and Wing, D},
    title = {{Session Traversal Utilities for NAT (STUN)}},
    number = {RFC5389},
    institution = {IETF Network Working Group},
    month = oct,
    year = {2008},
    url = {https://tools.ietf.org/html/rfc3489}
}

@webpage{Pixelpusher,
    author = {{Ink \& Switch}},
    title = {{PixelPusher}},
    url = {https://github.com/automerge/pixelpusher}
}

@webpage{PixelpusherBlog,
    author = {van Hardenberg, Peter},
    title = {Pixelpusher: Real-time peer-to-peer collaboration with {React}},
    month = feb,
    year = {2018},
    url = {https://medium.com/@pvh/pixelpusher-real-time-peer-to-peer-collaboration-with-react-7c7bc8ecbf74}
}

@webpage{PixelpusherReleases,
    author = {{Ink \& Switch}},
    title = {{PixelPusher} releases},
    url = {https://github.com/automerge/pixelpusher/releases}
}

@webpage{PushPin,
    author = {{Ink \& Switch}},
    title = {{PushPin}},
    url = {https://inkandswitch.github.io/pushpin/}
}

@webpage{PushPinSource,
    author = {{Ink \& Switch}},
    title = {{PushPin} source code},
    url = {https://github.com/inkandswitch/pushpin}
}

@webpage{PushPinReleases,
    author = {{Ink \& Switch}},
    title = {{PushPin} releases},
    url = {https://github.com/inkandswitch/pushpin/releases}
}

@webpage{PushPinVideo,
    author = {Choxi, Roshan},
    title = {{PushPin} video},
    month = jun,
    year = {2018},
    url = {https://www.youtube.com/watch?v=Dox3XAoTCyg}
}

@webpage{Miro,
    title = {Miro},
    url = {https://miro.com}
}

@webpage{Milanote,
    author = {{Milanote Pty Ltd}},
    title = {Milanote},
    url = {https://www.milanote.com}
}

@webpage{Spotlight,
    author = {{Apple, Inc.}},
    title = {Use {Spotlight} on your {Mac}},
    month = feb,
    year = {2018},
    url = {https://support.apple.com/en-us/HT204014}
}

@webpage{Alfred,
    author = {{Running with Crayons Ltd.}},
    title = {{Alfred 3 for Mac}},
    url = {https://www.alfredapp.com}
}

@inproceedings{CzaplickiFRP,
    author = {Czaplicki, Evan and Chong, Stephen},
    title = {Asynchronous functional reactive programming for {GUIs}},
    booktitle = {34th Annual SIGPLAN Conference on Programming Language Design and Implementation (PLDI)},
    year = {2013},
    pages = {411--422},
    month = jun,
    doi = {10.1145/2491956.2462161},
    url = {http://people.seas.harvard.edu/~chong/pubs/pldi13-elm.pdf}
}

@webpage{ReduxReducers,
    author = {Abramov, Dan},
    title = {{Redux} tutorial: {Reducers}},
    month = dec,
    year = {2018},
    url = {https://redux.js.org/basics/reducers}
}

@webpage{DiscoverySwarm,
    author = {Buus, Mathias},
    title = {{discovery-swarm}},
    url = {https://github.com/mafintosh/discovery-swarm}
}

@webpage{Hashbase,
    author = {{Blue Link Labs Inc.}},
    title = {Hashbase},
    url = {https://hashbase.io/}
}

@webpage{BeakerBrowser,
    author = {{Blue Link Labs Inc.}},
    title = {Beaker},
    url = {https://beakerbrowser.com/}
}

@webpage{GoogleDocsHistory,
    author = {{Google}},
    title = {See what's changed in a file},
    url = {https://support.google.com/docs/answer/190843}
}

@webpage{DropboxHistory,
    author = {{Dropbox, Inc.}},
    title = {File version history},
    url = {https://help.dropbox.com/security/version-history-overview}
}

@webpage{GitX,
    author = {James, Rowan},
    title = {{GitX-dev}},
    url = {https://rowanj.github.io/gitx/}
}

@webpage{WebKit,
    author = {{Apple, Inc.}},
    title = {{WebKit}},
    url = {https://developer.apple.com/documentation/webkit}
}

@webpage{NetworkConditions,
    author = {Kearney, Meggin and Garbee, Jonathan},
    title = {Optimize Performance Under Varying Network Conditions},
    month = apr,
    year = {2019},
    url = {https://developers.google.com/web/tools/chrome-devtools/network/network-conditions}
}

@webpage{NetworkConditioner,
    author = {{Mattt}},
    title = {Network Link Conditioner},
    month = jul,
    year = {2018},
    url = {https://nshipster.com/network-link-conditioner/}
}

@inproceedings{EllisOT,
    author = {Ellis, C A and Gibbs, S J},
    title = {Concurrency control in groupware systems},
    booktitle = {ACM International Conference on Management of Data (SIGMOD)},
    year = {1989},
    pages = {399--407},
    month = may,
    doi = {10.1145/67544.66963}
}

@inproceedings{SunOT,
    author = {Sun, Chengzheng and Ellis, Clarence},
    title = {Operational transformation in real-time group editors: Issues, algorithms, and achievements},
    booktitle = {ACM Conference on Computer Supported Cooperative Work (CSCW)},
    year = {1998},
    pages = {59--68},
    month = nov,
    doi = {10.1145/289444.289469}
}

@webpage{SpiewakOT,
    author = {Spiewak, Daniel},
    title = {Understanding and Applying Operational Transformation},
    month = may,
    year = {2010},
    url = {http://www.codecommit.com/blog/java/understanding-and-applying-operational-transformation}
}

@webpage{GoogleTakeout,
    author = {{Google}},
    title = {{Takeout: Download your data}},
    url = {https://takeout.google.com/}
}

@webpage{GoodNotesBackup,
    author = {Chan, Steven},
    title = {How should I backup my documents?},
    month = dec,
    year = {2018},
    url = {https://support.goodnotes.com/hc/en-us/articles/202168425-How-should-I-backup-my-documents-}
}

@webpage{TrelloExport,
    author = {{Atlassian}},
    title = {Exporting data from {Trello}},
    month = feb,
    year = {2019},
    url = {https://help.trello.com/article/747-exporting-data-from-trello-1}
}
